Bug 854074 - CD drive becomes unresponsive after eject
CD drive becomes unresponsive after eject
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: udisks (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 19:26 EDT by Stephen Haffly
Modified: 2013-03-05 23:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-04 12:44:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Haffly 2012-09-03 19:26:04 EDT
Description of problem:
After I close the drive tray after ejecting a CD from a PATA CD-ROM drive, the drive becomes unresponsive. It will not respond to either pressing the drive's button or by issuing the comand, "eject /dev/sr1"

/var/log/messages shows this:

Sep  3 19:00:30 emerald kernel: [78200.113125] UDF-fs: Partition marked readonly; forcing readonly mount
Sep  3 19:00:30 emerald kernel: [78200.188727] UDF-fs: INFO Mounting volume 'PowerPanel pe', timestamp 2009/06/10 23:38 (1f10)
Sep  3 19:00:30 emerald udisksd[1951]: Mounted /dev/sr1 at /run/media/stephenh/PowerPanel pe on behalf of uid 1000
Sep  3 19:01:01 emerald udisksd[1951]: Cleaning up mount point /run/media/stephenh/PowerPanel pe (device 11:1 is not mounted)
Sep  3 19:01:01 emerald udisksd[1951]: Unmounted /dev/sr1 on behalf of uid 1000

Issuing the command "eject /dev/sr1" either as a regular user or as su makes no difference. There is no output to screen and no addition to the message log.

Version-Release number of selected component (if applicable):
Fedora 17, x86_64, 3.5.2-3.fc17.x86_64
udisks-1.0.4-6.fc17.x86_64

How reproducible:
1. Insert CD into drive.
2. View files on disk.
3. Use eject feature of Thunar (or other eject option such as palimpsest) to eject the disk.
4. press drive's button to close the tray.
5. press button to try to open tray -- FAIL.

Steps to Reproduce:
1. See above.
  
Actual results:
Drive is unresponsive until system is rebooted.

Expected results:
Drive should respond without requiring a reboot.

Additional info:
This system has:
One DVD R/W drive (/dev/sr0) connected to SATA.
One CD R/W drive (/dev/sr1) connected to PATA Primary Master.
No other PATA connections used. HDDs are SATA.

I posted about this problem on Fedora Forum and apparently, I am not the only one who has experienced this problem.

http://forums.fedoraforum.org/showthread.php?p=1600787#post1600787
Comment 1 David Zeuthen 2012-09-04 12:44:40 EDT
Sounds unfortunate but not sure why you think this is a problem with udisks. Closing.
Comment 2 Stephen Haffly 2012-09-04 12:48:27 EDT
I think it so because I thought that udisks replaced HAL's functionality. Rather than just close it, please give me a pointer in the right direction as to what might be causing it so that I can file a bug report for the correct package.

Respectfully,

Stephen
Comment 3 David Zeuthen 2012-09-04 12:54:44 EDT
In F17 (since F16, I think) polling of drives with removable media is done by the kernel [1]. I'm not sure why you are seeing this problem... if I did, I would have said so in comment 1 when I closed the bug.

[1] : enabled by this snippet from /lib/udev/rules.d/60-persistent-storage.rules

 # enable in-kernel media-presence polling
 ACTION=="add", SUBSYSTEM=="module", KERNEL=="block", \
   ATTR{parameters/events_dfl_poll_msecs}=="0",       \
   ATTR{parameters/events_dfl_poll_msecs}="2000"
Comment 4 Stephen Haffly 2012-09-04 13:02:55 EDT
Thank you. I guess that I need to file a bug report against the kernel then.
Comment 5 David Zeuthen 2012-09-04 13:23:33 EDT
I think so, yeah - try and see if you can reproduce it in a minimal environment first (for example init=/bin/bash). Thanks.

Note You need to log in before you can comment on or make changes to this bug.